# Uses of Enum Class
javafx.geometry.HorizontalDirection

Packages that use HorizontalDirection
Package
Description
javafx.geometry
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of HorizontalDirection in javafx.geometry

Methods in javafx.geometry that return HorizontalDirection
Modifier and Type
Method
Description
`static HorizontalDirection`
HorizontalDirection.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HorizontalDirection[]`
HorizontalDirection.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.